Text::Bidi::Array::Byte(3pm)

NAME
Text::Bidi::Array::Byte - Dual-life byte arrays

VERSION
version 2.18

SYNOPSIS
    use Text::Bidi::Array::Byte;
    my $a = new Text::Bidi::Array::Byte "abc";
    say $a->[1]; # says 98
    say $$a; # says abc
    say "$a"; # also says abc

DESCRIPTION
This is an derived class of Text::Bidi::Array designed to hold "byte" arrays. See Text::Bidi::Array for details on usage of this class. Each element of the array representation corresponds to an octet in the string representation, at the same location.

AUTHOR
Moshe Kamensky <kamensky@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2015 by Moshe Kamensky.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.